org.apache.hc.core5.benchmark

## Class BenchmarkConfig.Builder

- java.lang.Object
- - org.apache.hc.core5.benchmark.BenchmarkConfig.Builder

- Enclosing class:
    BenchmarkConfig

      public static class BenchmarkConfig.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BenchmarkConfig.Builder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BenchmarkConfig` | `build()`
    `BenchmarkConfig.Builder` | `setConcurrencyLevel(int concurrencyLevel)`
    `BenchmarkConfig.Builder` | `setContentType(ContentType contentType)`
    `BenchmarkConfig.Builder` | `setDisableSSLVerification(boolean disableSSLVerification)`
    `BenchmarkConfig.Builder` | `setForceHttp2(boolean forceHttp2)`
    `BenchmarkConfig.Builder` | `setHeaders(String[] headers)`
    `BenchmarkConfig.Builder` | `setHeadInsteadOfGet(boolean headInsteadOfGet)`
    `BenchmarkConfig.Builder` | `setIdentityStorePassword(String identityStorePassword)`
    `BenchmarkConfig.Builder` | `setIdentityStorePath(String identityStorePath)`
    `BenchmarkConfig.Builder` | `setKeepAlive(boolean keepAlive)`
    `BenchmarkConfig.Builder` | `setMethod(String method)`
    `BenchmarkConfig.Builder` | `setPayloadFile(File payloadFile)`
    `BenchmarkConfig.Builder` | `setPayloadText(String payloadText)`
    `BenchmarkConfig.Builder` | `setRequests(int requests)`
    `BenchmarkConfig.Builder` | `setSoapAction(String soapAction)`
    `BenchmarkConfig.Builder` | `setSocketTimeout(Timeout socketTimeout)`
    `BenchmarkConfig.Builder` | `setTimeLimit(TimeValue timeLimit)`
    `BenchmarkConfig.Builder` | `setTrustStorePassword(String trustStorePassword)`
    `BenchmarkConfig.Builder` | `setTrustStorePath(String trustStorePath)`
    `BenchmarkConfig.Builder` | `setUri(URI uri)`
    `BenchmarkConfig.Builder` | `setUseAcceptGZip(boolean useAcceptGZip)`
    `BenchmarkConfig.Builder` | `setUseChunking(boolean useChunking)`
    `BenchmarkConfig.Builder` | `setUseExpectContinue(boolean useExpectContinue)`
    `BenchmarkConfig.Builder` | `setVerbosity(int verbosity)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BenchmarkConfig.Builder

          public BenchmarkConfig.Builder()

  - ### Method Detail

    - #### setUri

          public BenchmarkConfig.Builder setUri(URI uri)

    - #### setRequests

          public BenchmarkConfig.Builder setRequests(int requests)

    - #### setConcurrencyLevel

          public BenchmarkConfig.Builder setConcurrencyLevel(int concurrencyLevel)

    - #### setKeepAlive

          public BenchmarkConfig.Builder setKeepAlive(boolean keepAlive)

    - #### setVerbosity

          public BenchmarkConfig.Builder setVerbosity(int verbosity)

    - #### setHeadInsteadOfGet

          public BenchmarkConfig.Builder setHeadInsteadOfGet(boolean headInsteadOfGet)

    - #### setContentType

          public BenchmarkConfig.Builder setContentType(ContentType contentType)

    - #### setHeaders

          public BenchmarkConfig.Builder setHeaders(String[] headers)

    - #### setSocketTimeout

          public BenchmarkConfig.Builder setSocketTimeout(Timeout socketTimeout)

    - #### setMethod

          public BenchmarkConfig.Builder setMethod(String method)

    - #### setUseChunking

          public BenchmarkConfig.Builder setUseChunking(boolean useChunking)

    - #### setUseExpectContinue

          public BenchmarkConfig.Builder setUseExpectContinue(boolean useExpectContinue)

    - #### setUseAcceptGZip

          public BenchmarkConfig.Builder setUseAcceptGZip(boolean useAcceptGZip)

    - #### setPayloadFile

          public BenchmarkConfig.Builder setPayloadFile(File payloadFile)

    - #### setPayloadText

          public BenchmarkConfig.Builder setPayloadText(String payloadText)

    - #### setSoapAction

          public BenchmarkConfig.Builder setSoapAction(String soapAction)

    - #### setTimeLimit

          public BenchmarkConfig.Builder setTimeLimit(TimeValue timeLimit)

    - #### setForceHttp2

          public BenchmarkConfig.Builder setForceHttp2(boolean forceHttp2)

    - #### setDisableSSLVerification

          public BenchmarkConfig.Builder setDisableSSLVerification(boolean disableSSLVerification)

    - #### setTrustStorePath

          public BenchmarkConfig.Builder setTrustStorePath(String trustStorePath)

    - #### setIdentityStorePath

          public BenchmarkConfig.Builder setIdentityStorePath(String identityStorePath)

    - #### setTrustStorePassword

          public BenchmarkConfig.Builder setTrustStorePassword(String trustStorePassword)

    - #### setIdentityStorePassword

          public BenchmarkConfig.Builder setIdentityStorePassword(String identityStorePassword)

    - #### build

          public BenchmarkConfig build()

Copyright © 2005–2020 The Apache Software Foundation. All rights reserved.